teamviewer.com link icon
or
Ask The Community

Ver. 10 on a Mac running OS Catalina

I need to run version 10 so that my internet provider can access my machine. After downloading the v10 it will not open and gives an error message stating that v10 needs an update. Any help will be greatly appreciated.

Tagged:

Best Answer

Answers

  • Yuri_T
    Yuri_T Posts: 2,050 Moderator

    Hi @DeweyH

    Thank you for your post.

    You are required to use TeamViewer version 14.7 on a MacOS Catalina.

    Note: Currently, TeamViewer 14.7 is live as an Insider Build for open testings for all our participants of the Insider Program and all of you being excited to test our pre-releases
    IMPORTANT: We do not recommend using an Insider Build on your productive system!

    Hope this information will help you.

    All the best,
    Yuri

    Community Moderator/ コミュニティモデレーター
  • What do you want to say? that I will not be able to licensed ver.10 on macos anymore. I hope you are wrong and the tw team is very quick to provide an update. I need to use tw10 on my macos catalina. I need to connect/control/transfer files from/to PC. I don't want to buy another version of tw, what the **bleep**!!??
  • OlegB
    OlegB Posts: 2

    Does 10 license work in teamviewer 14.7?

  • No, you need to buy update.

  • OlegB
    OlegB Posts: 2

    So what can we do about this problem? When can we get version 10 for catalina?

  • Gtek
    Gtek Posts: 1

    Waiting for the solution as well.

  • JoshP
    JoshP Posts: 470 Senior Moderator

    Hello all,

    Thank you for your posts.

    Kindly refer to the Support Operating Systems article:

    2019-11-20 11_42_11-Which operating systems are supported for which TeamViewer versions_.png

    MacOS 10.15 (Catalina) is only compatible with TeamViewer versions 14.7 and higher.

    It will not be possible to install TeamViewer 10 on a device running MacOS 10.15 Catalina; TeamViewer 10 is only compatible up to OSX 10.11 (El Capitan).

    Josh P.
    Senior Community Moderator

    Did my response answer your question? Help out others and select it as the Accepted Answer

  • Hmm, how do you explain though that TeamViewer 10 worked on macOS until Catalina update? It should no longer work after version 10.11!
  • Yg
    Yg Posts: 1

    We payed for lifetime licence. But not our licence became dead. 

    Please solve our problem, using the same version or licence on macos Catelina. Because this is not option for us using Catalina. It must upgrade without our opinion. 

    Thanks for your help

    Sincerely

    Yusuf


    @Adidraso wrote:

    No, you need to buy update.


     

Sign In or Register to comment.